Loading...
Searching...
No Matches
pqxx::nullness< range< TYPE > > Struct Template Reference

A range type does not have an innate null value. More...

Inheritance diagram for pqxx::nullness< range< TYPE > >:
[legend]
Collaboration diagram for pqxx::nullness< range< TYPE > >:
[legend]

## Static Public Member Functions

static bool | is_null (TYPE const &value)
| Is `value` a null?
static TYPE | null ()
| Return a null value.
Static Public Member Functions inherited from pqxx::no_null< range< TYPE > >
static constexpr bool | is_null (TYPE const &) noexcept
| Does a given value correspond to an SQL null value?

## Static Public Attributes

static bool | has_null
| Does this type have a null value?
static bool | always_null
| Is this type always null?
Static Public Attributes inherited from pqxx::no_null< range< TYPE > >
static constexpr bool | has_null
| Does `TYPE` have a "built-in null value"?
static constexpr bool | always_null
| Are all values of this type null?

## Detailed Description

template<typename TYPE>
struct pqxx::nullness< range< TYPE > >

A range type does not have an innate null value.

## Member Function Documentation

## null()

TYPE pqxx::nullness< TYPE, void >::null | ( |  | ) |

static nodiscard

Return a null value.

Don't use this in generic code to compare a value and see whether it is null. Some types may have multiple null values which do not compare as equal, or may define a null value which is not equal to anything including itself, like in SQL.

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/range.hxx